> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Outcomes



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workspaces/{workspace}/streams/{stream_id}/subscriptions/{subscription_id}/outcomes
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.0
servers: []
security:
  - bearer: []
paths:
  /v1/workspaces/{workspace}/streams/{stream_id}/subscriptions/{subscription_id}/outcomes:
    get:
      tags:
        - v1
        - protected
        - streams
      summary: List Outcomes
      operationId: >-
        list_outcomes_v1_streams__stream_id__subscriptions__subscription_id__outcomes_get
      parameters:
        - in: path
          name: stream_id
          required: true
          schema:
            format: uuid
            title: Stream Id
            type: string
        - in: path
          name: subscription_id
          required: true
          schema:
            format: uuid
            title: Subscription Id
            type: string
        - description: Slug of the workspace the request acts in
          in: path
          name: workspace
          required: true
          schema:
            description: Slug of the workspace the request acts in
            maxLength: 120
            pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
            title: Workspace
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 500
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/OutcomeResponse'
                title: >-
                  Response List Outcomes V1 Streams  Stream Id  Subscriptions 
                  Subscription Id  Outcomes Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    OutcomeResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        derived_sequences:
          items:
            type: integer
          title: Derived Sequences
          type: array
        event_sequence:
          title: Event Sequence
          type: integer
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        subscription_id:
          format: uuid
          title: Subscription Id
          type: string
        subscription_kind:
          title: Subscription Kind
          type: string
        task_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Task Id
        trigger_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Trigger Id
        verdict:
          description: reacted, skipped or error
          title: Verdict
          type: string
      required:
        - subscription_id
        - subscription_kind
        - trigger_id
        - event_sequence
        - verdict
        - reason
        - score
        - task_id
        - derived_sequences
        - created_at
      title: OutcomeResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.